#!/usr/bin/perl
# $Id: test.pl,v 1.3 2004/10/15 15:47:25 oleg Exp $
use strict;
use Test::More qw(no_plan);
use File::Path;

my $target="/tmp/testClamfilter/";

sub result() {
	ok(open(F, $target."/result"), "there is a result file");
	my $line=<F>; chomp $line;
	close F;
	unlink($target."/result");
	return $line;
}

sub file_get_contents() {
	my ($filename)=@_;
	open (F, $filename);
	my $_s;
	$_s = $/;
	undef $/;
	my $file_contents=<F>;
	close F;
	$/ = $_s;
	return $file_contents;
}
					

ok(&mkpath($target), "path created");

is(system("./clamfilter.test -F from\@path -f return\@path test.test.test < t/testMessage.notvirus"),0,
	        "ran clamfilter");
my $line=&result(); 
like($line, qr/-f return\@path/, "mailbox is without virus");

my $filefromdeliver = &file_get_contents($target."/result.email");
my $testmessage = &file_get_contents("t/testMessage.notvirus");

is($filefromdeliver, $testmessage, "File in deliver and message is equals");

is(system("./clamfilter.test -F from\@path -f return\@path test.test.test < t/testMessage.virus"),0,
	        "ran clamfilter");
my $line=&result(); 
like($line, qr/-f from\@path/, "mailbox is with virus");

my $filefromdeliver = &file_get_contents($target."/result.email");
my $filetestwarning = &file_get_contents("t/testMessage.warning");

is($filefromdeliver, $filetestwarning, "File in deliver and test warning message is equals");

is(system("./clamfilter.test -F from\@path -f return\@path test.test.test < t/testMessage.allheaders"),0,
	        "ran clamfilter");
my $line=&result(); 
like($line, qr/-f from\@path/, "mailbox is with virus");

my $filefromdeliver = &file_get_contents($target."/result.email");
my $filetestwarning = &file_get_contents("t/testMessage.warningallheaders");

is($filefromdeliver, $filetestwarning, "File in deliver and test warning message is equals");

ok(&rmtree($target), "path removed");

